Delete attribute
Permanently deletes an attribute by its template and attribute key. Publishes an attribute deletion event to notify dependent systems.
DELETE
/api/v1/{team_slug}/{app_slug}/attributes/{attribute_template_key}/{attribute_key}Authorization
AuthorizationBearer token · headerrequiredManagement API token, sent as Authorization: Bearer <token>.
Path parameters
app_slugstringrequiredApp slug
team_slugstringrequiredTeam slug
attribute_template_keystringrequiredAttribute template key
attribute_keystringrequiredAttribute key
Responses
200
Attribute deleted
datastringrequireddetailsstring[]Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes
successbooleanrequired400
Invalid request (e.g. bad UUID, validation error)
detailsstring[]messagestringsuccessbooleanrequired401
Unauthorized access
detailsstring[]messagestringsuccessbooleanrequired500
Internal server error
detailsstring[]messagestringsuccessbooleanrequired